ViennaCL - The Vienna Computing Library: tests/src/vector_convert.cpp File Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Functions
vector_convert.cpp File Reference
`#include <iostream>`
`#include <iomanip>`
`#include <vector>`
`#include "viennacl/vector.hpp"`
`#include "viennacl/vector_proxy.hpp"`

Go to the source code of this file.

## Functions
template<typename NumericT , typename VectorT >
int | check (std::vector< NumericT > const &std_dest, std::size_t start_dest, std::size_t inc_dest, std::size_t size_dest, VectorT const &vcl_dest)
template<typename STLVectorT1 , typename STLVectorT2 , typename ViennaCLVectorT1 , typename ViennaCLVectorT2 >
int | test (STLVectorT1 &std_src, std::size_t start_src, std::size_t inc_src, std::size_t size_src, STLVectorT2 &std_dest, std::size_t start_dest, std::size_t inc_dest, std::size_t size_dest, ViennaCLVectorT1 const &vcl_src, ViennaCLVectorT2 &vcl_dest)
std::string | type_string (unsigned int)
std::string | type_string (int)
std::string | type_string (long)
std::string | type_string (float)
std::string | type_string (double)
template<typename FromNumericT , typename ToNumericT >
int | test ()
int | main ()

## Detailed Description

Tests conversion between vectors with different numeric type

Test:
  Tests conversion between vectors with different numeric type

Definition in file vector_convert.cpp.

## Function Documentation

template<typename NumericT , typename VectorT >

int check | ( | std::vector< NumericT > const & | std_dest,
|  | std::size_t | start_dest,
|  | std::size_t | inc_dest,
|  | std::size_t | size_dest,
|  | VectorT const & | vcl_dest
| ) |  |

Definition at line 40 of file vector_convert.cpp.

int main | ( |  | ) |

Definition at line 236 of file vector_convert.cpp.

template<typename STLVectorT1 , typename STLVectorT2 , typename ViennaCLVectorT1 , typename ViennaCLVectorT2 >

int test | ( | STLVectorT1 & | std_src,
|  | std::size_t | start_src,
|  | std::size_t | inc_src,
|  | std::size_t | size_src,
|  | STLVectorT2 & | std_dest,
|  | std::size_t | start_dest,
|  | std::size_t | inc_dest,
|  | std::size_t | size_dest,
|  | ViennaCLVectorT1 const & | vcl_src,
|  | ViennaCLVectorT2 & | vcl_dest
| ) |  |

Definition at line 64 of file vector_convert.cpp.

template<typename FromNumericT , typename ToNumericT >

int test | ( |  | ) |

Definition at line 98 of file vector_convert.cpp.

std::string type_string | ( | unsigned | int | ) |
| inline

Definition at line 90 of file vector_convert.cpp.

std::string type_string | ( | int |  | ) |
| inline

Definition at line 91 of file vector_convert.cpp.

std::string type_string | ( | long |  | ) |
| inline

Definition at line 93 of file vector_convert.cpp.

std::string type_string | ( | float |  | ) |
| inline

Definition at line 94 of file vector_convert.cpp.

std::string type_string | ( | double |  | ) |
| inline

Definition at line 95 of file vector_convert.cpp.